> ## Documentation Index
> Fetch the complete documentation index at: https://learn.nexudus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Multiple Settings

> Returns multiple portal settings by comma-separated names.

# Get Multiple Settings

Returns multiple portal configuration settings in a single request. Setting names are provided as a comma-separated list.

## Authentication

Requires a valid customer bearer token.

## Path Parameters

<ParamField path="names" type="string" required>
  Comma-separated setting names. URL-encoded.
</ParamField>

## Response

<ResponseField name="Settings" type="Setting[]" required>
  Array of requested settings.
</ResponseField>

<ResponseField name="Settings[].Name" type="string" required>
  Setting name/key.
</ResponseField>

<ResponseField name="Settings[].Value" type="string" required>
  Setting value.
</ResponseField>

## TypeScript Integration

```typescript theme={null}
import endpoints from '@/api/endpoints'

const { resource: settings } = useTypedData(httpClient, endpoints.settings.getMany(['BookingMinDuration', 'BookingMaxDuration']))
```
